## tess 0.1.2.r3

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.

TMDIST   = /nfs/aluche/d1/web/tm-dist
TM2SGML  = $(TMDIST)/bin/tmexpand
DB2MAN   = docbook2man
MACRODIR = $(TMDIST)/macros

STEM       = tess
TXT_FILES  = $(STEM).txt tessfun.txt
SGML_FILES = $(STEM).sgml tessrun.sgml
HTML_FILES = $(STEM).html
TEX_FILES  = $(STEM).tex
PS_FILES   = $(STEM).ps
PDF_FILES  = $(STEM).pdf
MAN_PAGES  = tessrun.1

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

DOC_IMAGES = 
TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
MANDIR = ../man
SL2TM = sl2tm
TM2TXT = tm2txt

SRC    = ../..

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(MANDIR)
SRCDIR = `pwd`

.PHONY:  all install uninstall clean distclean texclean
.SUFFIXES: .sgml .tm

.tm.sgml:
	$(TM2SGML) -I$(MACRODIR) $? $*.sgml

all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) $(PDF_FILES) \
	$(MAN_PAGES)

#----- SGML Files -----------------------------------------------------------
$(STEM).sgml : $(STEM).tm preface.tm tessfun.tm
	$(TM2SGML) -I$(MACRODIR) $(STEM).tm $(STEM).sgml

#----- HTML Files -----------------------------------------------------------
$(STEM).html : $(STEM).sgml
	$(SGML2HTML) $(STEM).sgml

#----- TeX Files ------------------------------------------------------------

$(STEM).tex : $(STEM).sgml
	$(SGML2LATEX) $(STEM).sgml
	jed -script ./fixtex.sl $(STEM).tex 

#----- PDF Files -----------------------------------------------------------

$(STEM).pdf : $(STEM).tex
	$(PDFLATEX) $(STEM).tex
	$(PDFLATEX) $(STEM).tex
	$(MAKE) texclean

#----- PS Files -----------------------------------------------------------

$(STEM).ps : $(STEM).pdf
	pdftops $? $@

#----- Text Files -----------------------------------------------------------

$(STEM).txt: $(STEM).sgml
	$(SGML2TXT) $(STEM).sgml

tessfun.txt: tessfun.tm
	$(TM2TXT) $? > $@

SL_SCRIPTS = $(SRC)/tess.sl

tessfun.tm: $(SL_SCRIPTS)
	$(SL2TM) -sl $(SL_SCRIPTS) > $@

tessrun.1: tessrun.sgml
	$(DB2MAN) $?
	@echo Checking if end-user man page is up-to-date
	diff $@ ../../man/man1/$@

#----------------------------------------------------------------------------

texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out

clean: texclean
	-rm -f *~ *.tmp *.sgml-error tessfun.* tessrun.sgml \
	   manpage.refs manpage.links

distclean: clean
	-rm -f *.html *.ps $(STEM).tm $(TXT_FILES) $(TEX_FILES) \
			$(SGML_FILES) $(PDF_FILES) $(MAN_PAGES)

install-txt-files: $(TXT_FILES)
	-mv $(TXT_FILES) ../text

install: all $(PS_FILES)
	-mkdir -p $(SUBDIRS)
	-mv $(TXT_FILES) $(TEXTDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) $(PSDIR)
	-mv $(SGML_FILES) $(SGMLDIR)
	-mv $(PDF_FILES) $(PDFDIR)
	-mv $(MAN_PAGES) $(MANDIR)

uninstall:
	if [ ! -z "$(SUBDIRS)" ] ; then \
	  \rm -rf $(SUBDIRS) ; \
	fi
