## tess 0.3.0

=== examples/Makefile ===

SHELL = /bin/sh

# Issue make -e VERBOSE=-v for verbose output
test:
	../tessrun -l $(VERBOSE) > test.out
	diff test.ref test.out

clean:
	-$(RM) -f *~ \#* *.o test.out
