=== doc/tm/Makefile ===
--- 
+++ 
@@ -9,13 +9,17 @@
 MACRODIR = $(TMDIST)/macros
 
 STEM       = tess
-TXT_FILES  = $(STEM).txt tessfun.txt
+TXT_FILES  = $(STEM).txt
 SGML_FILES = $(STEM).sgml tessrun.sgml
 HTML_FILES = $(STEM).html
+HELP_FILES = tess.hlp
 TEX_FILES  = $(STEM).tex
 PS_FILES   = $(STEM).ps
 PDF_FILES  = $(STEM).pdf
 MAN_PAGES  = tessrun.1
+
+GENERATED_FILES=$(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) \
+	$(PS_FILES) $(PDF_FILES) $(HELP_FILES) $(MAN_PAGES) tessfun.tm
 
 SGML2LATEX = sgml2latex -p letter -o tex
 SGML2HTML = sgml2html
@@ -44,8 +48,7 @@
 .tm.sgml:
 	$(TM2SGML) -I$(MACRODIR) $? $*.sgml
 
-all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES) $(PDF_FILES) \
-	$(MAN_PAGES)
+all: $(GENERATED_FILES) $(MAN_PAGES)
 
 #----- SGML Files -----------------------------------------------------------
 $(STEM).sgml : $(STEM).tm preface.tm tessfun.tm
@@ -75,21 +78,22 @@
 
 #----- Text Files -----------------------------------------------------------
 
+SL_SCRIPTS = $(SRC)/tess.sl
+
 $(STEM).txt: $(STEM).sgml
 	$(SGML2TXT) $(STEM).sgml
 
-tessfun.txt: tessfun.tm
-	$(TM2TXT) $? > $@
-
-SL_SCRIPTS = $(SRC)/tess.sl
-
 tessfun.tm: $(SL_SCRIPTS)
 	$(SL2TM) -sl $(SL_SCRIPTS) > $@
+	./mungefuns $@
+
+tess.hlp: $(SL_SCRIPTS)
+	$(SL2TM) -sl $(SL_SCRIPTS) > tesshelp.tmp
+	$(TM2TXT) tesshelp.tmp > $@
 
 tessrun.1: tessrun.sgml
 	$(DB2MAN) $?
-	@echo Checking if end-user man page is up-to-date
-	diff $@ ../../man/man1/$@
+	@echo Check that end-user man page is up-to-date
 
 #----------------------------------------------------------------------------
 
@@ -97,12 +101,11 @@
 	-rm -f *.dvi *.log *.aux *.toc *.out
 
 clean: texclean
-	-rm -f *~ *.tmp *.sgml-error tessfun.* tessrun.sgml \
-	   manpage.refs manpage.links
+	-rm -f *~ *.tmp *.sgml-error $(GENERATED_FILES) *.html \
+	   			manpage.refs manpage.links
 
 distclean: clean
-	-rm -f *.html *.ps $(STEM).tm $(TXT_FILES) $(TEX_FILES) \
-			$(SGML_FILES) $(PDF_FILES) $(MAN_PAGES)
+	-rm -f *.html *.ps $(STEM).tm 
 
 install-txt-files: $(TXT_FILES)
 	-mv $(TXT_FILES) ../text
@@ -110,6 +113,7 @@
 install: all $(PS_FILES)
 	-mkdir -p $(SUBDIRS)
 	-mv $(TXT_FILES) $(TEXTDIR)
+	-cp -f tess.hlp $(TEXTDIR)
 	-mv *.html $(HTMLDIR)
 	-mv $(PS_FILES) $(PSDIR)
 	-mv $(SGML_FILES) $(SGMLDIR)
