=== debian/control ===
Source: tess
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libslang2-dev, slsh
Standards-Version: 4.7.2
Homepage: http://space.mit.edu/cxc/software/slang/modules/tess/
Vcs-Git: https://salsa.debian.org/debian/tess.git
Vcs-Browser: https://salsa.debian.org/debian/tess

Package: slang-tess
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: slsh | jed | slrn
Description: regression testing system for the S-Lang scripting language
 TESS is the (Te)st (S)ystem for (S)-Lang, which aims at reducing the
 workload and ad-hoc nature of regression testing S-Lang software, by
 collecting common testing elements into a single, easy-to-use
 framework.
 .
 TESS provides the S-Lang developer nominal mechanisms for tailoring
 the S-Lang environment and invoking functions with arbitrary inputs,
 while transparently inspecting and cleaning the stack, gathering
 pass/fail statistics, and providing error recovery from selected
 exceptions.
