=== debian/tests/control ===
Tests: run-tests
Depends: @, slsh
Restrictions: allow-stderr
