=== debian/watch ===
version=4
opts=pasv ftp://space.mit.edu/pub/mnoble/tess/ tess-(.*).tar.gz
